- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libvisio::VSDEmpty Class Reference
Inheritance diagram for libvisio::VSDEmpty:

## Public Member Functions
| VSDEmpty (unsigned id, unsigned level)
virtual | ~VSDEmpty ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDEmpty::VSDEmpty | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

virtual libvisio::VSDEmpty::~VSDEmpty | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDEmpty::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDEmpty::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp